Bug 713654 - [abrt] imsettings-1.2.3-1.fc15: __libc_free: Process /usr/libexec/imsettings-daemon was killed by signal 11 (SIGSEGV)
[abrt] imsettings-1.2.3-1.fc15: __libc_free: Process /usr/libexec/imsettings-...
Status: CLOSED DUPLICATE of bug 757443
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:4dabea635d2d90165dcdda2f855...
:
: 714082 719353 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-16 02:37 EDT by xalos-web
Modified: 2012-07-05 05:59 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 05:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.72 KB, text/plain)
2012-02-22 20:16 EST, Greg
no flags Details

  None (edit)
Description xalos-web 2011-06-16 02:37:18 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        /usr/libexec/imsettings-daemon
component:      imsettings
crash_function: __libc_free
executable:     /usr/libexec/imsettings-daemon
kernel:         2.6.38.7-30.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        imsettings-1.2.3-1.fc15
rating:         4
reason:         Process /usr/libexec/imsettings-daemon was killed by signal 11 (SIGSEGV)
time:           Thu Jun 16 08:29:58 2011
uid:            500
username:       thymus

backtrace:
:warning: core file may not match specified executable file.
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/f2/12ba7404a98cda360ceebbf48489793f13e407
:[New LWP 1687]
:[New LWP 1693]
:[New LWP 1688]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/libexec/imsettings-daemon'.
:Program terminated with signal 11, Segmentation fault.
:#0  __libc_free (mem=0xffffffff00000000) at malloc.c:3709
:3709	  if (chunk_is_mmapped(p))                       /* release mmapped memory. */
:
:Thread 3 (Thread 0x7f80dc53a700 (LWP 1688)):
:#0  0x00000038306d7343 in __poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003e74e42d24 in g_main_context_poll (n_fds=3, fds=0x7f80d4001e00, priority=<optimized out>, timeout=-1, context=0x247ebf0) at gmain.c:3405
:        poll_func = 0x3e74e51310 <g_poll>
:#2  g_main_context_iterate (context=0x247ebf0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = 0x7f80d4001e00
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003e74e4360d in g_main_loop_run (loop=0x247ebd0) at gmain.c:3300
:        self = 0x247ece0
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x0000003e75eb4564 in gdbus_shared_thread_func (data=<optimized out>) at gdbusprivate.c:276
:No locals.
:#5  0x0000003e74e683a6 in g_thread_create_proxy (data=0x247ece0) at gthread.c:1955
:        thread = 0x247ece0
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003830a07af1 in start_thread (arg=0x7f80dc53a700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f80dc53a700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 1566640346780687162, 140734284741072, 140191429011904, 0, 3, -1532231303304815814, 1571107938830539578}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x00000038306dfc2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 2 (Thread 0x7f80db4c3700 (LWP 1693)):
:#0  0x00000038306d7343 in __poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003e74e42d24 in g_main_context_poll (n_fds=1, fds=0x7f80cc001130, priority=<optimized out>, timeout=120000, context=0x2495380) at gmain.c:3405
:        poll_func = 0x3e74e51310 <g_poll>
:#2  g_main_context_iterate (context=0x2495380, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = 120000
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = 0x7f80cc001130
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003e74e4360d in g_main_loop_run (loop=0x7f80cc001110) at gmain.c:3300
:        self = 0x2495080
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x00007f80db4c8b6b in dconf_context_thread (data=0x2495380) at dconfcontext.c:11
:        context = 0x2495380
:        loop = <optimized out>
:        __PRETTY_FUNCTION__ = "dconf_context_thread"
:#5  0x0000003e74e683a6 in g_thread_create_proxy (data=0x2495080) at gthread.c:1955
:        thread = 0x2495080
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#6  0x0000003830a07af1 in start_thread (arg=0x7f80db4c3700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7f80db4c3700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 1566640346780687162, 140734284739664, 140191411747264, 0, 3, -1532238172568134854, 1571107938830539578}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#7  0x00000038306dfc2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7f80dc53b7c0 (LWP 1687)):
:#0  __libc_free (mem=0xffffffff00000000) at malloc.c:3709
:        ar_ptr = <optimized out>
:        p = <optimized out>
:        hook = 0
:#1  0x0000003e74e49743 in g_free (mem=0xffffffff00000000) at gmem.c:263
:No locals.
:#2  0x0000003e74e5e85f in g_slice_free1 (mem_size=0, mem_block=0xffffffff00000000) at gslice.c:907
:        chunk_size = 0
:        acat = 0
:#3  0x0000003e74e83180 in tuple_info_free (info=<optimized out>) at gvarianttypeinfo.c:347
:        i = <optimized out>
:#4  g_variant_type_info_unref (info=0x247b270) at gvarianttypeinfo.c:855
:No locals.
:#5  g_variant_type_info_unref (info=0x247b270) at gvarianttypeinfo.c:829
:No locals.
:#6  0x0000003e74e7c922 in g_variant_unref (value=0x7f80cc004560) at gvariant-core.c:625
:No locals.
:#7  0x0000003e75e63e5f in clear_op_res (simple=0x247d580 [GSimpleAsyncResult]) at gsimpleasyncresult.c:256
:No locals.
:#8  g_simple_async_result_finalize (object=0x247d580 [GSimpleAsyncResult]) at gsimpleasyncresult.c:274
:        simple = 0x247d580 [GSimpleAsyncResult]
:#9  0x0000003e7560f6c1 in g_object_unref (_object=0x247d580) at gobject.c:2734
:        object = 0x247d580 [GSimpleAsyncResult]
:        old_ref = <optimized out>
:        __PRETTY_FUNCTION__ = "g_object_unref"
:#10 0x0000003e75ea74a5 in g_dbus_connection_call_done (source=<optimized out>, result=<optimized out>, user_data=0x2491560) at gdbusconnection.c:5025
:        connection = <optimized out>
:        state = 0x2491560
:        error = 0x0
:        reply = 0x2492400 [GDBusMessage]
:        value = <optimized out>
:#11 0x0000003e75e64d99 in complete_in_idle_cb (data=<optimized out>) at gsimpleasyncresult.c:757
:        simple = <optimized out>
:#12 0x0000003e74e427ed in g_main_dispatch (context=0x7f80d40008c0) at gmain.c:2441
:        dispatch = 0x3e74e3e750 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x7f80cc003360
:        callback = 0x3e75e64d90 <complete_in_idle_cb>
:        cb_funcs = 0x3e75115c50
:        cb_data = 0x7f80d4003ad0
:        current_source_link = {data = 0x7f80d4002f90, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x7f80d4002f90
:        current = 0x247f890
:        i = <optimized out>
:#13 g_main_context_dispatch (context=0x7f80d40008c0) at gmain.c:3014
:No locals.
:#14 0x0000003e74e42fc8 in g_main_context_iterate (context=0x7f80d40008c0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 2147483647
:        timeout = 120000
:        some_ready = 1
:        nfds = 2
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#15 0x0000003e74e4360d in g_main_loop_run (loop=0x2480680) at gmain.c:3300
:        self = 0x2466120
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#16 0x0000000000404a7f in main (argc=1, argv=0x7fff410cbe38) at main.c:184
:        err = 0x0
:        arg_replace = 0
:        arg_no_logfile = 0
:        arg_xinputrcdir = 0x0
:        arg_xinputdir = 0x0
:        arg_homedir = 0x0
:        arg_moduledir = 0x0
:        loop = 0x2480680
:        ctx = <optimized out>
:        entries = {{long_name = 0x40a9a8 "replace", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff410cbd38, description = 0x40a830 "Replace the instance of the imsettings daemon.", arg_description = 0x0}, {long_name = 0x40a005 "xinputrcdir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff410cbd18, description = 0x40a860 "Set the system-wide xinputrc directory (for debugging purpose)", arg_description = 0x40a9b0 "DIR"}, {long_name = 0x40a022 "xinputdir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff410cbd20, description = 0x40a8a0 "Set the IM configuration directory (for debugging purpose)", arg_description = 0x40a9b0 "DIR"}, {long_name = 0x409fea "homedir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff410cbd28, description = 0x40a8e0 "Set a home directory (for debugging purpose)", arg_description = 0x40a9b0 "DIR"}, {long_name = 0x40a048 "moduledir", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_STRING, arg_data = 0x7fff410cbd30, description = 0x40a910 "Set the imsettings module directory (for debugging purpose)", arg_description = 0x40a9b0 "DIR"}, {long_name = 0x40a9b4 "no-logfile", short_name = 0 '\000', flags = 1, arg = G_OPTION_ARG_NONE, arg_data = 0x7fff410cbd3c, description = 0x40a9bf "Do not create a log file.", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}
:        connection = 0x2475810 [GDBusConnection]
:From                To                  Syms Read   Shared Object Library
:0x0000003e79602750  0x0000003e79604cec  Yes         /usr/lib64/libnotify.so.4.0.0
:0x0000003e76a06270  0x0000003e76a19c7c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:0x0000003835204870  0x000000383521eb5c  Yes         /usr/lib64/libpng12.so.0.44.0
:0x0000003831603ea0  0x0000003831643e9c  Yes         /lib64/libm-2.14.so
:0x0000003e78603200  0x0000003e786071dc  Yes         /usr/lib64/libimsettings.so.5.1.0
:0x0000003e75e294a0  0x0000003e75ed2b3c  Yes         /lib64/libgio-2.0.so.0.2800.8
:0x0000003e75a00fe0  0x0000003e75a01f8c  Yes         /lib64/libgmodule-2.0.so.0.2800.8
:0x0000003e75609970  0x0000003e75639dcc  Yes         /lib64/libgobject-2.0.so.0.2800.8
:0x0000003e75201560  0x0000003e75202a2c  Yes         /lib64/libgthread-2.0.so.0.2800.8
:0x0000003831202160  0x00000038312053ec  Yes         /lib64/librt-2.14.so
:0x0000003e74e16cd0  0x0000003e74eadbec  Yes         /lib64/libglib-2.0.so.0.2800.8
:0x0000003830a05640  0x0000003830a1038c  Yes         /lib64/libpthread-2.14.so
:0x000000383061ece0  0x00000038307430ec  Yes         /lib64/libc-2.14.so
:0x0000003831a01e70  0x0000003831a0e67c  Yes         /lib64/libz.so.1.2.5
:0x0000003830e00de0  0x0000003830e0191c  Yes         /lib64/libdl-2.14.so
:0x0000003832a03840  0x0000003832a134ac  Yes         /lib64/libresolv-2.14.so
:0x0000003832205980  0x00000038322159dc  Yes         /lib64/libselinux.so.1
:0x0000003830200b20  0x0000003830218c3a  Yes         /lib64/ld-2.14.so
:0x00007f80dbb18ab0  0x00007f80dbb316ac  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
:0x0000003e76209210  0x0000003e762132ec  Yes         /usr/lib64/libgvfscommon.so.0.0.0
:0x0000003834a03b70  0x0000003834a1d84c  Yes         /lib64/libexpat.so.1.5.2
:0x0000003839a076f0  0x0000003839a3050c  Yes         /lib64/libdbus-1.so.3.5.4
:0x0000003841202e40  0x000000384120accc  Yes         /lib64/libudev.so.0.11.1
:0x0000003842a00e10  0x0000003842a0168c  Yes         /lib64/libutil-2.14.so
:0x0000003831e028a0  0x0000003831e120cc  Yes         /lib64/libgcc_s-4.6.0-20110530.so.1
:0x00007f80db905170  0x00007f80db90c8ac  Yes         /lib64/libnss_files-2.14.so
:0x00007f80db6e8890  0x00007f80db6e8b7c  Yes         /usr/lib64/imsettings/libimsettings-gsettings.so
:0x00007f80db4c6900  0x00007f80db4c9eac  Yes         /usr/lib64/gio/modules/libdconfsettings.so
:$1 = 0x0
:$2 = 0x0
:rax            0x0	0
:rbx            0xffffffff00000000	-4294967296
:rcx            0x38309941e8	241333518824
:rdx            0x247b6c0	38254272
:rsi            0xffffffff00000000	-4294967296
:rdi            0xffffffff00000000	-4294967296
:rbp            0x0	0x0
:rsp            0x7fff410cb948	0x7fff410cb948
:r8             0x3e75116788	268252047240
:r9             0x697	1687
:r10            0x1	1
:r11            0x1	1
:r12            0x247d590	38262160
:r13            0x0	0
:r14            0x3e75115c50	268252044368
:r15            0x7f80d40008c0	140191289313472
:rip            0x383067b03c	0x383067b03c <__libc_free+28>
:eflags         0x10286	[ PF SF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function __libc_free:
:   0x000000383067b020 <+0>:	mov    0x316f49(%rip),%rax        # 0x3830991f70
:   0x000000383067b027 <+7>:	mov    (%rax),%rax
:   0x000000383067b02a <+10>:	test   %rax,%rax
:   0x000000383067b02d <+13>:	jne    0x383067b0f2 <__libc_free+210>
:   0x000000383067b033 <+19>:	test   %rdi,%rdi
:   0x000000383067b036 <+22>:	je     0x383067b0f0 <__libc_free+208>
:=> 0x000000383067b03c <+28>:	mov    -0x8(%rdi),%rax
:   0x000000383067b040 <+32>:	lea    -0x10(%rdi),%rsi
:   0x000000383067b044 <+36>:	test   $0x2,%al
:   0x000000383067b046 <+38>:	jne    0x383067b070 <__libc_free+80>
:   0x000000383067b048 <+40>:	test   $0x4,%al
:   0x000000383067b04a <+42>:	lea    0x31918f(%rip),%rdi        # 0x38309941e0 <main_arena>
:   0x000000383067b051 <+49>:	je     0x383067b05f <__libc_free+63>
:   0x000000383067b053 <+51>:	mov    %rsi,%rax
:   0x000000383067b056 <+54>:	and    $0xfffffffffc000000,%rax
:   0x000000383067b05c <+60>:	mov    (%rax),%rdi
:   0x000000383067b05f <+63>:	xor    %edx,%edx
:   0x000000383067b061 <+65>:	jmpq   0x3830677590 <_int_free>
:   0x000000383067b066 <+70>:	nopw   %cs:0x0(%rax,%rax,1)
:   0x000000383067b070 <+80>:	mov    0x319a3e(%rip),%edx        # 0x3830994ab4 <mp_+52>
:   0x000000383067b076 <+86>:	test   %edx,%edx
:   0x000000383067b078 <+88>:	jne    0x383067b0b0 <__libc_free+144>
:   0x000000383067b07a <+90>:	cmp    0x319a0f(%rip),%rax        # 0x3830994a90 <mp_+16>
:   0x000000383067b081 <+97>:	jbe    0x383067b0b0 <__libc_free+144>
:   0x000000383067b083 <+99>:	mov    %rax,%rcx
:   0x000000383067b086 <+102>:	and    $0xfffffffffffffff8,%rcx
:   0x000000383067b08a <+106>:	cmp    $0x2000000,%rax
:   0x000000383067b090 <+112>:	ja     0x383067b0b7 <__libc_free+151>
:   0x000000383067b092 <+114>:	lea    (%rcx,%rcx,1),%rax
:   0x000000383067b096 <+118>:	mov    %rcx,0x3199f3(%rip)        # 0x3830994a90 <mp_+16>
:   0x000000383067b09d <+125>:	mov    %rax,0x3199dc(%rip)        # 0x3830994a80 <mp_>
:   0x000000383067b0a4 <+132>:	jmp    0x383067b0b7 <__libc_free+151>
:   0x000000383067b0a6 <+134>:	nopw   %cs:0x0(%rax,%rax,1)
:   0x000000383067b0b0 <+144>:	mov    %rax,%rcx
:   0x000000383067b0b3 <+147>:	and    $0xfffffffffffffff8,%rcx
:   0x000000383067b0b7 <+151>:	mov    -0x10(%rdi),%rdx
:   0x000000383067b0bb <+155>:	mov    %rsi,%rax
:   0x000000383067b0be <+158>:	sub    %rdx,%rax
:   0x000000383067b0c1 <+161>:	lea    (%rcx,%rdx,1),%rsi
:   0x000000383067b0c5 <+165>:	mov    0x3199ed(%rip),%edx        # 0x3830994ab8 <mp_+56>
:   0x000000383067b0cb <+171>:	mov    %rsi,%rcx
:   0x000000383067b0ce <+174>:	or     %rax,%rcx
:   0x000000383067b0d1 <+177>:	sub    $0x1,%edx
:   0x000000383067b0d4 <+180>:	test   %rdx,%rcx
:   0x000000383067b0d7 <+183>:	jne    0x383067b0f8 <__libc_free+216>
:   0x000000383067b0d9 <+185>:	mov    %rax,%rdi
:   0x000000383067b0dc <+188>:	subl   $0x1,0x3199c5(%rip)        # 0x3830994aa8 <mp_+40>
:   0x000000383067b0e3 <+195>:	sub    %rsi,0x3199d6(%rip)        # 0x3830994ac0 <mp_+64>
:   0x000000383067b0ea <+202>:	jmpq   0x38306dc550 <munmap>
:   0x000000383067b0ef <+207>:	nop
:   0x000000383067b0f0 <+208>:	repz retq 
:   0x000000383067b0f2 <+210>:	mov    (%rsp),%rsi
:   0x000000383067b0f6 <+214>:	jmpq   *%rax
:   0x000000383067b0f8 <+216>:	mov    %rdi,%rdx
:   0x000000383067b0fb <+219>:	mov    0x31701f(%rip),%edi        # 0x3830992120 <check_action>
:   0x000000383067b101 <+225>:	lea    0xe1270(%rip),%rsi        # 0x383075c378
:   0x000000383067b108 <+232>:	jmpq   0x3830676f30 <malloc_printerr>
:End of assembler dump.

dsos:
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1306265667
:/lib64/librt-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/lib64/libresolv-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732875
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307732877
:/lib64/libdl-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-1.fc15.x86_64 (Fedora Project) 1306265928
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc15.x86_64 (Fedora Project) 1307732878
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732875
:/usr/lib64/gio/modules/libdconfsettings.so dconf-0.7.5-1.x86_64 (Fedora Project) 1306265759
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1307732877
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1306265663
:/lib64/libm-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/lib64/ld-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732875
:/lib64/libnss_files-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/lib64/libpthread-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/lib64/libc-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1306265667
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732875
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1306265664
:/usr/lib64/libimsettings.so.5.1.0 imsettings-libs-1.2.3-1.fc15.x86_64 (Fedora Project) 1307732879
:/usr/lib/locale/locale-archive glibc-common-2.14-2.x86_64 (Fedora Project) 1307491579
:/lib64/libutil-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1307491573
:/usr/libexec/imsettings-daemon imsettings-1.2.3-1.fc15.x86_64 (Fedora Project) 1307732880
:/lib64/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.x86_64 (Fedora Project) 1307491572
:/usr/lib64/imsettings/libimsettings-gsettings.so imsettings-gnome-1.2.3-1.fc15.x86_64 (Fedora Project) 1307732880
:/usr/lib64/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.x86_64 (Fedora Project) 1306265664
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1306265668
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1307732875

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-QHPygpWrsv,guid=a337ea28b203a7f697484827000000aa
:XDG_SESSION_COOKIE=774b932e1b7e5532bc675eba0000000d-1308205793.307910-382924065
:XDG_RUNTIME_DIR=/run/user/thymus
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:WINDOWPATH=1
:PATH=/usr/local/bin:/usr/bin:/bin
:GDMSESSION=gnome
:USERNAME=thymus
:XDG_SESSION_ID=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-QHPygpWrsv,guid=a337ea28b203a7f697484827000000aa
:XAUTHORITY=/var/run/gdm/auth-for-thymus-UlMs0q/database
:USER=thymus
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1608
:SHLVL=1
:PWD=/home/thymus
:GDM_LANG=
:GNOME_KEYRING_CONTROL=/tmp/keyring-dAWLmi
:LANG=fr_FR.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=thymus
:HOME=/home/thymus

event_log:
:2011-06-16-08:31:23> Analyzing crash data
:2011-06-16-08:31:34  Initializing virtual root
:2011-06-16-08:31:44  Initializing virtual root
:2011-06-16-08:31:54  Initializing virtual root
:2011-06-16-08:32:05  Initializing virtual root
:2011-06-16-08:32:15  Initializing virtual root
:2011-06-16-08:32:26  Initializing virtual root
:2011-06-16-08:32:36  Initializing virtual root
:2011-06-16-08:32:46  Initializing virtual root
:2011-06-16-08:32:57  Initializing virtual root
:2011-06-16-08:33:07  Initializing virtual root
:2011-06-16-08:33:18  Initializing virtual root
:2011-06-16-08:33:28  Initializing virtual root
:2011-06-16-08:33:39  Initializing virtual root
:2011-06-16-08:33:49  Initializing virtual root
:2011-06-16-08:33:59  Initializing virtual root
:2011-06-16-08:34:10  Initializing virtual root
:2011-06-16-08:34:20  Initializing virtual root
:2011-06-16-08:34:31  Initializing virtual root
:2011-06-16-08:34:41  Initializing virtual root
:2011-06-16-08:34:52  Initializing virtual root
:2011-06-16-08:35:02  Initializing virtual root
:2011-06-16-08:35:12  Initializing virtual root
:2011-06-16-08:35:22  Cleaning up virtual root
:2011-06-16-08:35:33  Retrace job finished successfully

maps:
:00400000-0040c000 r-xp 00000000 fd:01 2904676                            /usr/libexec/imsettings-daemon
:0060c000-0060f000 rw-p 0000c000 fd:01 2904676                            /usr/libexec/imsettings-daemon
:02466000-024c7000 rw-p 00000000 00:00 0                                  [heap]
:3830200000-383021f000 r-xp 00000000 fd:01 786441                         /lib64/ld-2.14.so
:383041e000-383041f000 r--p 0001e000 fd:01 786441                         /lib64/ld-2.14.so
:383041f000-3830420000 rw-p 0001f000 fd:01 786441                         /lib64/ld-2.14.so
:3830420000-3830421000 rw-p 00000000 00:00 0 
:3830600000-383078f000 r-xp 00000000 fd:01 786444                         /lib64/libc-2.14.so
:383078f000-383098e000 ---p 0018f000 fd:01 786444                         /lib64/libc-2.14.so
:383098e000-3830992000 r--p 0018e000 fd:01 786444                         /lib64/libc-2.14.so
:3830992000-3830993000 rw-p 00192000 fd:01 786444                         /lib64/libc-2.14.so
:3830993000-3830999000 rw-p 00000000 00:00 0 
:3830a00000-3830a16000 r-xp 00000000 fd:01 786448                         /lib64/libpthread-2.14.so
:3830a16000-3830c15000 ---p 00016000 fd:01 786448                         /lib64/libpthread-2.14.so
:3830c15000-3830c16000 r--p 00015000 fd:01 786448                         /lib64/libpthread-2.14.so
:3830c16000-3830c17000 rw-p 00016000 fd:01 786448                         /lib64/libpthread-2.14.so
:3830c17000-3830c1b000 rw-p 00000000 00:00 0 
:3830e00000-3830e02000 r-xp 00000000 fd:01 786460                         /lib64/libdl-2.14.so
:3830e02000-3831002000 ---p 00002000 fd:01 786460                         /lib64/libdl-2.14.so
:3831002000-3831003000 r--p 00002000 fd:01 786460                         /lib64/libdl-2.14.so
:3831003000-3831004000 rw-p 00003000 fd:01 786460                         /lib64/libdl-2.14.so
:3831200000-3831207000 r-xp 00000000 fd:01 786458                         /lib64/librt-2.14.so
:3831207000-3831406000 ---p 00007000 fd:01 786458                         /lib64/librt-2.14.so
:3831406000-3831407000 r--p 00006000 fd:01 786458                         /lib64/librt-2.14.so
:3831407000-3831408000 rw-p 00007000 fd:01 786458                         /lib64/librt-2.14.so
:3831600000-3831683000 r-xp 00000000 fd:01 790656                         /lib64/libm-2.14.so
:3831683000-3831882000 ---p 00083000 fd:01 790656                         /lib64/libm-2.14.so
:3831882000-3831883000 r--p 00082000 fd:01 790656                         /lib64/libm-2.14.so
:3831883000-3831884000 rw-p 00083000 fd:01 790656                         /lib64/libm-2.14.so
:3831a00000-3831a16000 r-xp 00000000 fd:01 790655                         /lib64/libz.so.1.2.5
:3831a16000-3831c16000 ---p 00016000 fd:01 790655                         /lib64/libz.so.1.2.5
:3831c16000-3831c17000 rw-p 00016000 fd:01 790655                         /lib64/libz.so.1.2.5
:3831e00000-3831e15000 r-xp 00000000 fd:01 790657                         /lib64/libgcc_s-4.6.0-20110530.so.1
:3831e15000-3832014000 ---p 00015000 fd:01 790657                         /lib64/libgcc_s-4.6.0-20110530.so.1
:3832014000-3832015000 rw-p 00014000 fd:01 790657                         /lib64/libgcc_s-4.6.0-20110530.so.1
:3832200000-383221d000 r-xp 00000000 fd:01 786484                         /lib64/libselinux.so.1
:383221d000-383241c000 ---p 0001d000 fd:01 786484                         /lib64/libselinux.so.1
:383241c000-383241d000 r--p 0001c000 fd:01 786484                         /lib64/libselinux.so.1
:383241d000-383241e000 rw-p 0001d000 fd:01 786484                         /lib64/libselinux.so.1
:383241e000-383241f000 rw-p 00000000 00:00 0 
:3832a00000-3832a17000 r-xp 00000000 fd:01 786482                         /lib64/libresolv-2.14.so
:3832a17000-3832c17000 ---p 00017000 fd:01 786482                         /lib64/libresolv-2.14.so
:3832c17000-3832c18000 r--p 00017000 fd:01 786482                         /lib64/libresolv-2.14.so
:3832c18000-3832c19000 rw-p 00018000 fd:01 786482                         /lib64/libresolv-2.14.so
:3832c19000-3832c1b000 rw-p 00000000 00:00 0 
:3834a00000-3834a27000 r-xp 00000000 fd:01 790665                         /lib64/libexpat.so.1.5.2
:3834a27000-3834c26000 ---p 00027000 fd:01 790665                         /lib64/libexpat.so.1.5.2
:3834c26000-3834c29000 rw-p 00026000 fd:01 790665                         /lib64/libexpat.so.1.5.2
:3835200000-3835226000 r-xp 00000000 fd:01 2897508                        /usr/lib64/libpng12.so.0.44.0
:3835226000-3835426000 ---p 00026000 fd:01 2897508                        /usr/lib64/libpng12.so.0.44.0
:3835426000-3835427000 rw-p 00026000 fd:01 2897508                        /usr/lib64/libpng12.so.0.44.0
:3839a00000-3839a42000 r-xp 00000000 fd:01 790669                         /lib64/libdbus-1.so.3.5.4
:3839a42000-3839c42000 ---p 00042000 fd:01 790669                         /lib64/libdbus-1.so.3.5.4
:3839c42000-3839c43000 r--p 00042000 fd:01 790669                         /lib64/libdbus-1.so.3.5.4
:3839c43000-3839c44000 rw-p 00043000 fd:01 790669                         /lib64/libdbus-1.so.3.5.4
:3841200000-384120e000 r-xp 00000000 fd:01 790692                         /lib64/libudev.so.0.11.1
:384120e000-384140d000 ---p 0000e000 fd:01 790692                         /lib64/libudev.so.0.11.1
:384140d000-384140e000 r--p 0000d000 fd:01 790692                         /lib64/libudev.so.0.11.1
:384140e000-384140f000 rw-p 0000e000 fd:01 790692                         /lib64/libudev.so.0.11.1
:3842a00000-3842a02000 r-xp 00000000 fd:01 790670                         /lib64/libutil-2.14.so
:3842a02000-3842c01000 ---p 00002000 fd:01 790670                         /lib64/libutil-2.14.so
:3842c01000-3842c02000 r--p 00001000 fd:01 790670                         /lib64/libutil-2.14.so
:3842c02000-3842c03000 rw-p 00002000 fd:01 790670                         /lib64/libutil-2.14.so
:3e74e00000-3e74f15000 r-xp 00000000 fd:01 786434                         /lib64/libglib-2.0.so.0.2800.8
:3e74f15000-3e75115000 ---p 00115000 fd:01 786434                         /lib64/libglib-2.0.so.0.2800.8
:3e75115000-3e75116000 rw-p 00115000 fd:01 786434                         /lib64/libglib-2.0.so.0.2800.8
:3e75116000-3e75117000 rw-p 00000000 00:00 0 
:3e75200000-3e75204000 r-xp 00000000 fd:01 788106                         /lib64/libgthread-2.0.so.0.2800.8
:3e75204000-3e75403000 ---p 00004000 fd:01 788106                         /lib64/libgthread-2.0.so.0.2800.8
:3e75403000-3e75404000 rw-p 00003000 fd:01 788106                         /lib64/libgthread-2.0.so.0.2800.8
:3e75600000-3e7564c000 r-xp 00000000 fd:01 788107                         /lib64/libgobject-2.0.so.0.2800.8
:3e7564c000-3e7584b000 ---p 0004c000 fd:01 788107                         /lib64/libgobject-2.0.so.0.2800.8
:3e7584b000-3e7584d000 rw-p 0004b000 fd:01 788107                         /lib64/libgobject-2.0.so.0.2800.8
:3e7584d000-3e7584e000 rw-p 00000000 00:00 0 
:3e75a00000-3e75a03000 r-xp 00000000 fd:01 788110                         /lib64/libgmodule-2.0.so.0.2800.8
:3e75a03000-3e75c02000 ---p 00003000 fd:01 788110                         /lib64/libgmodule-2.0.so.0.2800.8
:3e75c02000-3e75c03000 rw-p 00002000 fd:01 788110                         /lib64/libgmodule-2.0.so.0.2800.8
:3e75e00000-3e75f21000 r-xp 00000000 fd:01 788111                         /lib64/libgio-2.0.so.0.2800.8
:3e75f21000-3e76120000 ---p 00121000 fd:01 788111                         /lib64/libgio-2.0.so.0.2800.8
:3e76120000-3e76126000 rw-p 00120000 fd:01 788111                         /lib64/libgio-2.0.so.0.2800.8
:3e76126000-3e76127000 rw-p 00000000 00:00 0 
:3e76200000-3e76217000 r-xp 00000000 fd:01 2897439                        /usr/lib64/libgvfscommon.so.0.0.0
:3e76217000-3e76416000 ---p 00017000 fd:01 2897439                        /usr/lib64/libgvfscommon.so.0.0.0
:3e76416000-3e76418000 rw-p 00016000 fd:01 2897439                        /usr/lib64/libgvfscommon.so.0.0.0
:3e76a00000-3e76a21000 r-xp 00000000 fd:01 2898730                        /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:3e76a21000-3e76c21000 ---p 00021000 fd:01 2898730                        /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:3e76c21000-3e76c22000 rw-p 00021000 fd:01 2898730                        /usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3
:3e78600000-3e7860a000 r-xp 00000000 fd:01 2887289                        /usr/lib64/libimsettings.so.5.1.0
:3e7860a000-3e78809000 ---p 0000a000 fd:01 2887289                        /usr/lib64/libimsettings.so.5.1.0
:3e78809000-3e7880a000 rw-p 00009000 fd:01 2887289                        /usr/lib64/libimsettings.so.5.1.0
:3e79600000-3e79606000 r-xp 00000000 fd:01 2891128                        /usr/lib64/libnotify.so.4.0.0
:3e79606000-3e79806000 ---p 00006000 fd:01 2891128                        /usr/lib64/libnotify.so.4.0.0
:3e79806000-3e79807000 rw-p 00006000 fd:01 2891128                        /usr/lib64/libnotify.so.4.0.0
:7f80c5c59000-7f80cc000000 r--p 00000000 fd:01 2896670                    /usr/lib/locale/locale-archive
:7f80cc000000-7f80cc022000 rw-p 00000000 00:00 0 
:7f80cc022000-7f80d0000000 ---p 00000000 00:00 0 
:7f80d4000000-7f80d4021000 rw-p 00000000 00:00 0 
:7f80d4021000-7f80d8000000 ---p 00000000 00:00 0 
:7f80dacc3000-7f80dacc4000 ---p 00000000 00:00 0 
:7f80dacc4000-7f80db4c4000 rw-p 00000000 00:00 0 
:7f80db4c4000-7f80db4cc000 r-xp 00000000 fd:01 2888993                    /usr/lib64/gio/modules/libdconfsettings.so
:7f80db4cc000-7f80db6cb000 ---p 00008000 fd:01 2888993                    /usr/lib64/gio/modules/libdconfsettings.so
:7f80db6cb000-7f80db6cc000 rw-p 00007000 fd:01 2888993                    /usr/lib64/gio/modules/libdconfsettings.so
:7f80db6cc000-7f80db6e8000 r--p 00000000 fd:01 3150105                    /usr/share/glib-2.0/schemas/gschemas.compiled
:7f80db6e8000-7f80db6e9000 r-xp 00000000 fd:01 2896149                    /usr/lib64/imsettings/libimsettings-gsettings.so
:7f80db6e9000-7f80db8e8000 ---p 00001000 fd:01 2896149                    /usr/lib64/imsettings/libimsettings-gsettings.so
:7f80db8e8000-7f80db8e9000 rw-p 00000000 fd:01 2896149                    /usr/lib64/imsettings/libimsettings-gsettings.so
:7f80db8e9000-7f80db903000 r--s 00000000 fd:01 3150104                    /usr/share/mime/mime.cache
:7f80db903000-7f80db90f000 r-xp 00000000 fd:01 786461                     /lib64/libnss_files-2.14.so
:7f80db90f000-7f80dbb0e000 ---p 0000c000 fd:01 786461                     /lib64/libnss_files-2.14.so
:7f80dbb0e000-7f80dbb0f000 r--p 0000b000 fd:01 786461                     /lib64/libnss_files-2.14.so
:7f80dbb0f000-7f80dbb10000 rw-p 0000c000 fd:01 786461                     /lib64/libnss_files-2.14.so
:7f80dbb10000-7f80dbb39000 r-xp 00000000 fd:01 2896127                    /usr/lib64/gio/modules/libgvfsdbus.so
:7f80dbb39000-7f80dbd38000 ---p 00029000 fd:01 2896127                    /usr/lib64/gio/modules/libgvfsdbus.so
:7f80dbd38000-7f80dbd3a000 rw-p 00028000 fd:01 2896127                    /usr/lib64/gio/modules/libgvfsdbus.so
:7f80dbd3a000-7f80dbd3b000 ---p 00000000 00:00 0 
:7f80dbd3b000-7f80dc544000 rw-p 00000000 00:00 0 
:7f80dc549000-7f80dc54d000 r--p 00000000 fd:03 18612452                   /home/thymus/.config/dconf/user (deleted)
:7f80dc54d000-7f80dc54e000 r--s 00000000 fd:03 18612472                   /home/thymus/.cache/dconf/user (deleted)
:7f80dc54e000-7f80dc54f000 rw-p 00000000 00:00 0 
:7f80dc54f000-7f80dc556000 r--s 00000000 fd:01 2886983                    /usr/lib64/gconv/gconv-modules.cache
:7f80dc556000-7f80dc557000 rw-p 00000000 00:00 0 
:7fff410ad000-7fff410ce000 rw-p 00000000 00:00 0                          [stack]
:7fff41148000-7fff41149000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Comment 1 Akira TAGOH 2011-06-16 05:24:07 EDT
Looking at the backtrace, I don't think I can do anything in imsettings. that would rather looks like something wrong in GIO. reassigning to glib2.
Comment 2 Akira TAGOH 2011-06-17 08:14:08 EDT
*** Bug 714082 has been marked as a duplicate of this bug. ***
Comment 3 Akira TAGOH 2011-07-06 22:24:42 EDT
*** Bug 719353 has been marked as a duplicate of this bug. ***
Comment 4 edo 2011-08-26 23:54:22 EDT
Package: imsettings-1.2.4-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
start Gnome
start My Account - Make Photo
Comment 5 David Wald 2011-09-08 05:16:46 EDT
Package: imsettings-1.2.4-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Crash occurred immediately after login as screen was starting to display.
Comment 6 Shuresh Williams 2011-09-09 20:45:06 EDT
Package: imsettings-1.2.4-1.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
connecting to samba server
Comment 7 bizza 2011-10-25 08:22:07 EDT
Package: imsettings-1.2.5-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I've just login to my desktop
Comment 8 John Williams 2011-11-10 15:57:43 EST
Package: imsettings-1.2.5-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Start up the laptop.
Login to the Gnome desktop
Notice Abrt notification
Comment 9 Gilles J. Seguin 2011-11-10 18:44:52 EST
Package: imsettings-1.2.5-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
was in warciv
Comment 10 gcarter 2011-11-30 17:10:18 EST
Package: imsettings-1.2.6-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Booting Up.
Comment 11 Greg 2012-02-22 20:16:19 EST
Just load the OS.

backtrace_rating: 4
Package: imsettings-1.2.7.1-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 12 Greg 2012-02-22 20:16:30 EST
Created attachment 565147 [details]
File: backtrace
Comment 13 abrt-bot 2012-03-20 11:49:41 EDT
Backtrace analysis found this bug to be similar to some already closed bugs from other components. You might want to check those bugs for additional information.

Bugs which were found to be similar to this bug: 
  imsettings: bug #757443, bug #766125

This comment is automatically generated.
Comment 14 Akira TAGOH 2012-07-05 05:59:01 EDT

*** This bug has been marked as a duplicate of bug 757443 ***

Note You need to log in before you can comment on or make changes to this bug.